<template>
  <q-btn color="red-8" label="Kies NT-versie" style="width: 200px;" class="q-mr-lg q-mt-sm" tabindex=0>
    <q-menu class="fixed">
      <q-list class="q-mt-md">
        <q-item v-for="nt in versions" :key="nt.value" clickable @click="change_nt_version(nt.value)" dense>
          {{ nt.label }}
        </q-item>
      </q-list>
    </q-menu>
  </q-btn>
</template>

<script>
import {api} from 'boot/axios';
import SharedMethods from "components/SharedMethods";
import {ref} from 'vue';

export default {
  name: "NT_Dropdownlist",
  setup() {
    return {nt_version: ref("nt16")}
  },
  created() {
    this.set_nt_version = SharedMethods.set_nt_version
    this.get_nt_version = SharedMethods.get_nt_version
    this.current_nt_version = SharedMethods.get_nt_version()
    this.fetchData()
  },
  data() {
    return {
      current_nt_version: String,
      versions: [
        {label: "NT16", value: "nt16"},
        {label: "NT16 beta", value: "nt16beta"},
        {label: "NT16 alfa", value: "nt16alfa"},
        {label: "NT15", value: "nt15"},
        {label: "NT15 beta", value: "nt15beta"},
      ]
    }
  },
  methods: {
    change_nt_version: function (new_version) {
      this.set_nt_version(new_version)
      this.$router.push({path: this.$route.fullPath, query: {nt_version: SharedMethods.get_nt_version()}})
    },
    fetchData: function () {
      api
        .get("/nt-versions")
        .then(response => (this.versions = response.data.nt_versions))
    }

  }
}
</script>

<style scoped>

</style>
